Comment 192 for bug 275998

Rocko (rockorequin) wrote :

@talent03: seriously, just install the 2.6.30 kernel. It fixes the microphone problems and has the welcome side effect of not hanging the kernel while deleting files from an ext4 partition. It should really be the default kernel for Jaunty.

1. Go to http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.30.4/

2. Download the appropriate kernels, eg if you're using 32 bit, you need:

linux-headers-2.6.30-02063004_2.6.30-02063004_all.deb
linux-headers-2.6.30-02063004-generic_2.6.30-02063004_i386.deb
linux-image-2.6.30-02063004-generic_2.6.30-02063004_i386.deb

(choose the amd64 deb files for 64 bit)

3. Install these files using 'sudo dpkg -i <name of file>' from a gnome-terminal.

4. Reboot into the new kernel.

The only drawback is that if you're using the restricted nvidia drivers, they won't compile for the new kernel so you'll get lowres mode in X. In this case, you could use the envy-ng driver to build the driver for the new kernel, or you could download the 185.18.31 driver directly from nvidia (ftp://download.nvidia.com/XFree86/Linux-x86/ for 32 bit, ftp://download.nvidia.com/XFree86/Linux-x86_64/ for 64 bit) and install it manually. I've also found that the 190.18 beta driver works fine.